<!DOCTYPE html>
<html>
<head>
    
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    
        <script>
            L_NO_TOUCH = false;
            L_DISABLE_3D = false;
        </script>
    
    <style>html, body {width: 100%;height: 100%;margin: 0;padding: 0;}</style>
    <style>#map {position:absolute;top:0;bottom:0;right:0;left:0;}</style>
    <script src="https://cdn.jsdelivr.net/npm/leaflet@1.9.3/dist/leaflet.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Leaflet.awesome-markers/2.0.2/leaflet.awesome-markers.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/leaflet@1.9.3/dist/leaflet.css"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="https://netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@6.2.0/css/all.min.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Leaflet.awesome-markers/2.0.2/leaflet.awesome-markers.css"/>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/python-visualization/folium/folium/templates/leaflet.awesome.rotate.min.css"/>
    
            <meta name="viewport" content="width=device-width,
                initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
            <style>
                
        #navform {
            position: fixed;
            right: 20px;
            top: 20px;
            z-index: 999;
            border-radius: 5%;
            background-color: #f2f2f2;
            background: rgba(242,242,242, .90);
            padding: 1%;
            width: 300px;
        }
        #trajform {
            position: fixed;
            right: 20px;
            bottom: 20px;
            z-index: 999;
            border-radius: 5%;
            background-color: #f2f2f2;
            background: rgba(242,242,242, .90);
            padding: 1%;
            width: 300px;
        }
        input[type=text], select {
          width: 100%;
          padding: 2%;
          margin: 2%;
          display: inline-block;
          border: 1px solid #ccc;
          border-radius: 5%;
          box-sizing: border-box;
        }
        input[type=submit] {
          width: 100%;
          background-color: #4CAF50;
          color: white;
          padding: 2%;
          margin: 2%;
          border: none;
          border-radius: 5%;
          cursor: pointer;
        }
        input[type=submit]:hover {
          background-color: #45a049;
        }
            </style>
        
</head>
<body>
    
    <form id="navform" action="{{ url_for('route')}}" method="post">
        <label for="fname">Point de départ</label>
        <input type="text" id="pdpname" name="PointDeDepart">
    
        <label for="lname">Destination</label>
        <input type="text" id="dname" name="Destination">
    
        <!-- Move the vehicle-related section inside this form -->
        <label for="makeSelect">Marque :</label>
        <select id="makeSelect">
            <!-- Options will be added here dynamically -->
        </select>
        <label for="modelSelect">Modèle :</label>
        <select id="modelSelect">
            <!-- Options pour les modèles seront ajoutées dynamiquement ici -->
        </select>

        <div id="vehicleInfo">
            <label>Version : <span id="versionInfo"></span></label>
            <label>Plage de charge : <span id="rangeInfo"></span></label>
            <img id="vehicleImage" src="" alt="Image du véhicule" style="max-width: 100%; height: auto;">
            <input type="hidden" name="minRangeInfo" id="minRangeInfo">
            <input type="hidden" name="maxRangeInfo" id="maxRangeInfo">

        </div>
    
        <input type="submit" value="Calculer">
    </form>
                        
    <div>
        <p>Distance Total : {{distance_total}}</p>
        <p>Temps Total' : {{temps_total}}</p>
    </div>
           
    <div class="folium-map">{{m | safe}}</div>   

</body>
<script>

    var vehiclesData = {{ vehicles | safe }}
    
    document.addEventListener("DOMContentLoaded", function() {
    // Get the Marque (Make) and Modèle (Model) select elements
    var makeSelect = document.getElementById("makeSelect");
    var modelSelect = document.getElementById("modelSelect");
    var versionInfo = document.getElementById("versionInfo");
    var rangeInfo = document.getElementById("rangeInfo");
    var minRangeInfo = document.getElementById("minRangeInfo");
    var maxRangeInfo = document.getElementById("maxRangeInfo");
    var vehicleImage = document.getElementById("vehicleImage");
    

    // Initialize options for Marque select
    var makeOptions = Object.keys(vehiclesData);

    // Populate the Marque select with options
    makeOptions.forEach(function(make) {
        var option = document.createElement("option");
        option.value = make;
        option.text = make;
        makeSelect.appendChild(option);
    });

    // Function to populate the Modèle select based on the selected Marque
    makeSelect.addEventListener("change", function() {
        var selectedMake = makeSelect.value;
        var models = vehiclesData[selectedMake];

        // Clear existing options in Modèle select
        modelSelect.innerHTML = "";

        // Add an initial default option
        var defaultOption = document.createElement("option");
        defaultOption.value = "";
        defaultOption.text = "Sélectionnez un modèle";
        modelSelect.appendChild(defaultOption);

        // Populate the Modèle select with options
        models.forEach(function(modelData) {
            var option = document.createElement("option");
            option.value = modelData.naming.model;
            option.text = modelData.naming.model;
            modelSelect.appendChild(option);
        });
    });
    
    // Function to populate the vehicle information and image    
    function updateVehicleInfo() {
        var selectedMake = makeSelect.value;
        var selectedModel = modelSelect.value;

        // Find the selected vehicle in the vehiclesData object
        var selectedVehicleData = vehiclesData[selectedMake].find(function(vehicle) {
            return vehicle.naming.model === selectedModel;
        });

        if (selectedVehicleData) {
            // Populate the HTML with vehicle information
            versionInfo.textContent = selectedVehicleData.naming.chargetrip_version;
            rangeInfo.textContent = "Best: " + selectedVehicleData.range.chargetrip_range.best + " km, Worst: " + selectedVehicleData.range.chargetrip_range.worst + " km";
            minRangeInfo.value = selectedVehicleData.range.chargetrip_range.worst
            maxRangeInfo.value = selectedVehicleData.range.chargetrip_range.best
            vehicleImage.src = selectedVehicleData.media.image.url;
        } else {
            // Clear the HTML if no vehicle is selected
            versionInfo.textContent = "";
            rangeInfo.textContent = "";
            minRangeInfo.value = 0;
            maxRangeInfo.value = 0;
            vehicleImage.src = "";
        }
    }
    
    // Initialize the vehicle information
    updateVehicleInfo();

    // Event listeners for Marque and Modèle selects
    makeSelect.addEventListener("change", updateVehicleInfo);
    modelSelect.addEventListener("change", updateVehicleInfo);
});
</script>
</script>
</html>